Subject: Re: [PATCH net v2] rtnetlink: enable alt_ifname for setlink/newlink

From: Jakub Kicinski <[email-masked]>
Date: Fri, 1 Apr 2022 15:09:08 -0700

On Fri, 1 Apr 2022 23:02:39 +0200 Florent Fourcot wrote:
> I don't really care about getting this into stable, so I will resubmit 
> for net-next when opened.
> Should I drop "Fixes" tag?

Yup! No fixes tag if it's going in to net-next.

> Alternatives ifname feature never worked for setlink/newlink,
> but 76c9ac0ee878 claimed it was.

I wonder what the story was there. I think it "works" in that ip link
accept altnames, but IIUC that's because it does a get first and
resolves the ifindex.